<?php

/**
 * Colors and Fonts Settings
 *
 * @package bootstrap_coach
 */
add_action( 'customize_register', 'bootstrap_coach_customize_colors' );
function bootstrap_coach_customize_colors(  $wp_customize  ) {
    $wp_customize->get_section( 'colors' )->priority = 1;
    $wp_customize->remove_control( 'header_textcolor' );
    $wp_customize->get_section( 'colors' )->title = esc_html__( 'Colors', 'bootstrap-coach' );
    $wp_customize->get_section( 'colors' )->panel = 'bootstrap_coach_general_panel';
    $wp_customize->add_setting( 'primary_color', array(
        'capability'        => 'edit_theme_options',
        'default'           => '#FF6C2E',
        'sanitize_callback' => 'bootstrap_coach_sanitize_hex_color',
        'transport'         => 'postMessage',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'primary_color', array(
        'label'    => esc_html__( 'Primary Color', 'bootstrap-coach' ),
        'section'  => 'colors',
        'priority' => 1,
    )) );
    $wp_customize->add_setting( 'secondary_color', array(
        'capability'        => 'edit_theme_options',
        'default'           => '#000000',
        'sanitize_callback' => 'bootstrap_coach_sanitize_hex_color',
        'transport'         => 'postMessage',
    ) );
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'secondary_color', array(
        'label'    => esc_html__( 'Secondary Color', 'bootstrap-coach' ),
        'section'  => 'colors',
        'priority' => 2,
    )) );
    if ( fs_bootstrap_coach()->is_free_plan() ) {
        $wp_customize->add_setting( 'bootstrap_coach_colors_upgrade_to_pro', array(
            'sanitize_callback' => null,
        ) );
        $wp_customize->add_control( new Bootstrap_Coach_Control_Upgrade_To_Pro($wp_customize, 'bootstrap_coach_colors_upgrade_to_pro', array(
            'section'     => 'colors',
            'settings'    => 'bootstrap_coach_colors_upgrade_to_pro',
            'title'       => __( 'Choose colors that perfectly align with your brand.', 'bootstrap-coach' ),
            'items'       => array(
                'one' => array(
                    'title' => __( 'Additional color options for various parts of your website.', 'bootstrap-coach' ),
                ),
            ),
            'button_url'  => esc_url( 'https://thebootstrapthemes.com/bootstrap-coach/#free-vs-pro' ),
            'button_text' => __( 'Upgrade Now', 'bootstrap-coach' ),
        )) );
    }
}
